CREATE TABLE PUB_ERRCODE (
  ERC_ERRCODE 		varchar(9) NOT NULL DEFAULT '' 	COMMENT '错误代码',
  ERC_LANGUAGE 		varchar(10) NOT NULL DEFAULT '' COMMENT '错误信息语种',
  ERC_SHOWMSG 		varchar(250)  					COMMENT '错误显示信息',
  ERC_LEVEL 		int(11) DEFAULT '2' 			COMMENT '错误级别(1：轻微；2：一般；3：严重）',
  ERC_RETURNPAGE 	varchar(100)  					COMMENT '错误返回页面',
  ERC_TYPE 			varchar(6)  					COMMENT '错误分类，暂不使用',
  PRIMARY KEY (ERC_ERRCODE,ERC_LANGUAGE)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='错误信息表 ';
