CREATE TABLE dw_file_detail_00 (
	  DFD0_ID 				varchar(20) 	NOT NULL 		COMMENT '编号',
	  DFD0_NUMBER 			varchar(10) 	 				COMMENT 'EXCEL编号',
	  DFD0_ADDRESS_NUM 		varchar(200) 	 				COMMENT '台区编号',
	  DFD0_ADDRESS_NAME 	varchar(200) 	 				COMMENT '台区名称',
	  DFD0_DATE 			varchar(8) 		 				COMMENT '数据日期',
	  DFD0_AREA 			varchar(100) 		 			COMMENT '单位',
	  DFD0_COMONPANY_NAME 	varchar(100) 		 			COMMENT '供电所名称',
	  DFD0_TERMINAL_NAME 	varchar(100) 		 			COMMENT '终端名称',
	  DFD0_TERMINAL_NUM 	varchar(100) 		 			COMMENT '终端编号',
	  DFD0_TERMINAL_ADDRESS varchar(100) 		 			COMMENT '终端地址码',
	  DFD0_START_TIME 		varchar(14) 		 			COMMENT '停电时间',
	  DFD0_END_TIME 		varchar(14) 		 			COMMENT '来电时间',
	  DFD0_FILE_ID 			varchar(20) 		 			COMMENT '所属文件id',
	  PRIMARY KEY (DFD0_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='原始数据文件汇总表';
