CREATE TABLE im_log (
  LOG_LOGNO 		char(12) NOT NULL 	COMMENT '日志编号',
  LOG_DATETIME 		char(14)  			COMMENT '操作时间，格式为YYYYMMDDHHMISS',
  LOG_USERID 		varchar(10)  		COMMENT '柜员编号',
  LOG_BSNCODE 		varchar(11)  		COMMENT '交易代码',
  LOG_RESULT 		char(8)  			COMMENT '操作结果（00000000表示成功，否则为错误代码）',
  LOG_CONTEXTID 	varchar(100)  		COMMENT '交易的CONTEXT名称',
  LOG_INFO 			varchar(4000)  		COMMENT '操作描述',
  LOG_IP 			varchar(20)  		COMMENT '操作IP',
  PRIMARY KEY (LOG_LOGNO)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='内管柜员日志表';