CREATE TABLE im_logon_ctrl (
  lcl_cstno 		varchar(10) NOT NULL 			COMMENT '客户号，用户的唯一标识 ',
  lcl_firstlogon 	char(14) 						COMMENT '首次登录时间，格式为yyyymmddhhmiss',
  lcl_lastlogon 	char(14) 						COMMENT '上次成功登录时间，格式为yyyymmddhhmiss',
  lcl_lastfail 		char(8) 						COMMENT '上次登录失败日期，格式为yyyymmdd',
  lcl_failtoday 	int(11) NOT NULL DEFAULT '0' 	COMMENT '当日连续登录失败次数',
  lcl_failsum 		int(11) NOT NULL DEFAULT '0' 	COMMENT '总计连续登录失败次数  ',
  lcl_count 		int(11) NOT NULL DEFAULT '0' 	COMMENT '总成功登录次数',
  lcl_freezedate 	char(8)	 						COMMENT '冻结日期，格式为yyyymmdd',
  lcl_stopstart 	char(8) 						COMMENT '停用日期，格式为yyyymmdd',
  lcl_stopend 		char(8) 						COMMENT '起用日期，格式为yyyymmdd（如果99990101是指永久停用）',
  lcl_failauth 		int(11) NOT NULL DEFAULT '0' 	COMMENT '连续输入授权密码错误次数',
  lcl_needcaptcha 	varchar(1) NOT NULL DEFAULT '0' COMMENT '是否需要校验验证码，默认值：0( 0：不需要 1:需要) ',
  PRIMARY KEY (lcl_cstno)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='内管柜员日志表 ';
