CREATE TABLE im_role (
  ROL_ID 		varchar(20) NOT NULL 	COMMENT '角色编号',
  ROL_NAME 		varchar(100) NOT NULL 	COMMENT '角色名称',
  ROL_DESC 		varchar(300)  			COMMENT '角色描述',
  ROL_LEVEL 	varchar(3)  			COMMENT '角色级别',
  ROL_ADDTIME 	varchar(14)  			COMMENT '角色创建时间',
  ROL_BRANCHID 	varchar(20)  			COMMENT '部门编号',
  ROL_CATEGORY 	char(1)  				COMMENT '角色类型',
  ROL_PRIVILEGE char(1)  				COMMENT '角色权限 0：普通 1：本级别 2：本级及下属',
  ROL_MODITIME 	varchar(14)  			COMMENT '最后修改时间',
  ROL_MODIUSER 	varchar(20)  			COMMENT '最后修改人',
  ROL_ADDBRANCH varchar(20) NOT NULL 	COMMENT '角色的创建机构',
  ROL_BRANCHLEVEL char(1)  				COMMENT '角色所属机构的级别',
  ROL_BRANCHIDNAME varchar(2000)  		COMMENT '角色所属机构的ID的集合',
  ROL_INDEXPAGE    varchar(100)  		COMMENT '主页ID',
  PRIMARY KEY (ROL_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色表';
