CREATE TABLE PUB_SEND_DETAIL (
  SDT_FLOWNO 		VARCHAR(20) 	NOT NULL 			COMMENT '流水号',
  SDT_USERID 		VARCHAR(20) 	NOT NULL 			COMMENT '邮箱或带区号手机号',
  SDT_CODE 			VARCHAR(20) 	NOT NULL 			COMMENT '校验码',
  SDT_TYPE	 		VARCHAR(2) 		NOT NULL			COMMENT '业务类型00注册01找回密码02修改密码',
  SDT_SCOPE 		VARCHAR(1) 		DEFAULT '0'			COMMENT '应用范围0网站，1管理台',
  SDT_SENDTIME 		VARCHAR(14) 						COMMENT '发送时间',
  SDT_STATUS 		VARCHAR(1) 		DEFAULT '0' 		COMMENT '0：未校验；1：已校验',
  SDT_TEST_TIME 	VARCHAR(14) 						COMMENT '校验时间',
  SDT_WRONG_TIMES 	VARCHAR(2) 		DEFAULT '0'			COMMENT '错误次数',
  PRIMARY KEY (SDT_FLOWNO)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='短信流水表 ';
