CREATE TABLE `pub_syspar` (
  `SPR_CODE` varchar(50) NOT NULL COMMENT '参数代码',
  `SPR_NAME` varchar(120) NOT NULL COMMENT '参数名称',
  `SPR_VALUE` varchar(500) NOT NULL COMMENT '参数实际值',
  `SPR_TYPE` char(1) DEFAULT '0' COMMENT '参数类型（0：运行时不可变；1：运行时可更改）',
  `SPR_SCOPE` char(1) DEFAULT '0' COMMENT '应用范围（0：全部；1：个人客户；2：企业客户；3：内部管理；4：商户）',
  `SPR_MFLAG` char(1) DEFAULT '0' COMMENT '是否适用移动端标志，0-不适用，1-适用',
  PRIMARY KEY (`SPR_CODE`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='系统参数表 '
