CREATE TABLE im_branch (
	  BRH_ID 			varchar(20) 	NOT NULL 		COMMENT '机构编号',
	  BRH_NAME 			varchar(100) 	NOT NULL 		COMMENT '机构名称',
	  BRH_CORE_ID 		varchar(20) 	DEFAULT NULL 	COMMENT '核心编号',
	  BRH_LEVEL 		int(11) 		NOT NULL 		COMMENT '机构级别',
	  BRH_PARENTID 		varchar(20) 	DEFAULT NULL 	COMMENT '父机构编号',
	  BRH_REGIONID 		varchar(10) 	DEFAULT NULL 	COMMENT '机构区号',
	  BRH_DESC 			varchar(300) 	DEFAULT NULL 	COMMENT '机构描述',
	  BRH_ADDRESS 		varchar(200) 	DEFAULT NULL 	COMMENT '机构地址',
	  BRH_DEALBRANCH 	varchar(20) 	DEFAULT NULL 	COMMENT '处理网点',
	  BRH_CORBRH 		varchar(20) 	DEFAULT NULL 	COMMENT '处理网点',
	  BRH_STT 			char(1) 		NOT NULL 		COMMENT '机构状态（1：冻结;0：激活）',
	  BRH_PERSON 		varchar(30) 	DEFAULT NULL 	COMMENT '联系人',
	  BRH_PHONE 		varchar(20) 	DEFAULT NULL 	COMMENT '联系电话',
	  BRH_SHORTNAME 	varchar(50) 	DEFAULT NULL 	COMMENT '机构简称',
	  PRIMARY KEY (BRH_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='机构信息表 ';
