CREATE TABLE im_item (
  ITM_ID 			varchar(8) 			NOT NULL 						COMMENT '功能编号',
  ITM_NAME 			varchar(60) 		NOT NULL 						COMMENT '功能名称',
  ITM_URL 			varchar(80) 		NOT NULL 						COMMENT '指向地址',
  ITM_SERIALNO 		int(11) 			NOT NULL 	DEFAULT '0' 		COMMENT '显示序号',
  ITM_AUTH 			char(1) 			NOT NULL 	DEFAULT '0' 		COMMENT '授权模式 （0：无需授权；1：支持三种授权类型两种授权形式；2：授权类型支持即时生效和互为授权，授权类型只支持临柜）',
  ITM_AUTHTYPE 		char(1) 											COMMENT '默认授权类型（0：即时生效 1：互为授权）因为无法指定授权角色，所以授权模式不能默认为指定授权',
  ITM_AUTHSHAPE 	char(1) 			DEFAULT '1'	 					COMMENT '默认授权形式（0：审核 1：临柜）',
  ITM_LEVEL 		char(1)				DEFAULT '2' 					COMMENT '菜单级别（1：一级机构可分配2：一二级机构可分配）',
  ITM_STT 			char(1) 			NOT NULL 						COMMENT '功能状态（0：正常；1：冻结）',
  ITM_ICON 			varchar(20) 		DEFAULT NULL 					COMMENT '菜单图标',
  PRIMARY KEY (ITM_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='功能表 ';
