CREATE TABLE im_user (
  USR_ID 				varchar(15) 	NOT NULL 		COMMENT '柜员编号',
  USR_BRANCHID 			varchar(20) 	NOT NULL 		COMMENT '部门编号',
  USR_NAME 				varchar(30) 	NOT NULL 		COMMENT '柜员姓名',
  USR_DESC 				varchar(300) 		 			COMMENT '柜员描述',
  USR_CREATEDATE 		varchar(14) 		 			COMMENT '柜员创建时间',
  USR_PHONE 			varchar(30) 		 			COMMENT '柜员电话',
  USR_EMAIL 			varchar(60) 		 			COMMENT '柜员邮件',
  USR_ADDRESS 			varchar(200) 					COMMENT '柜员住址',
  USR_CERTTYPE 			varchar(2) 		 				COMMENT '证件类型',
  USR_SUPERIOR 			varchar(20) 		 			COMMENT '所属区域',
  USR_CERTNO 			varchar(60) 		 			COMMENT '证件号码',
  USR_MOBILE 			varchar(30) 		 			COMMENT '柜员手机',
  USR_PWD 				varchar(60) 					COMMENT '登录密码',
  USR_AUTHPWD 			varchar(60) 					COMMENT '授权密码',
  USR_INITPWD 			char(1) 		DEFAULT '0' 	COMMENT '登录密码状态（0：强制要求修改；1：未强制要求）',
  USR_INITAUTHPWD 		char(1) 		DEFAULT '0' 	COMMENT '授权密码状态（0：强制要求修改；1：未强制要求）',
  USR_STT 				char(1) 		 				COMMENT '柜员状态（0：正常；2：暂时冻结；3：用户停用；4：永久冻结5注销）',
  USR_LASTPWDCGDATE 	varchar(14) 		 			COMMENT '最后一次登录日期',
  USR_LOGONNAME 		varchar(50) 					COMMENT '登录名',
  USR_LASTMODPWDCGDATE 	varchar(14) 		 			COMMENT '最后一次修改密码日期',
  USR_IMG 				varchar(300) 		 			COMMENT '头像地址',
  USR_IDENTITY 			varchar(2) 		DEFAULT '00' 	COMMENT 'adm身份00普通用户 01客户经理02物流商',
  USR_USER_TYPE			varchar(1) 		DEFAULT '0' 	COMMENT '用户类型0平台1网站',
  USR_COMID			varchar(10) 					 	COMMENT '企业编号',
  PRIMARY KEY (USR_ID)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='内管操作员表';
