-- ---------------------------客户信息-----------------------------
		-- 菜单表 
		INSERT INTO IM_MENU VALUES('M20008','客户信息','','F02000','0','2','7','');
		-- 功能表
		insert into im_item (ITM_ID,ITM_NAME,ITM_URL,ITM_SERIALNO,ITM_AUTH,ITM_AUTHTYPE,ITM_AUTHSHAPE,ITM_LEVEL,ITM_STT,ITM_ICON
		)values('280000','客户信息','khxx/reportManageKhxx.html?timeType=01&reportType=JTFJTZB','3','0','0','1','2','0','#xe68e;');
		-- 菜单与功能对应关系表  
		insert into im_menu_item_rel values('M20008','280000');
		-- 内管柜员单点登录控制表 
		insert into im_role_item_rel values('00000000','280000','','1','1');
		-- ---------------------------过重载-----------------------------
		-- 菜单表 
		INSERT INTO IM_MENU VALUES('M20009','过重载','','F02000','0','2','7','');
		-- 功能表
		insert into im_item (ITM_ID,ITM_NAME,ITM_URL,ITM_SERIALNO,ITM_AUTH,ITM_AUTHTYPE,ITM_AUTHSHAPE,ITM_LEVEL,ITM_STT,ITM_ICON
		)values('260002','周报管理','','1','0','0','1','2','0','#xe68e;');
		insert into im_item (ITM_ID,ITM_NAME,ITM_URL,ITM_SERIALNO,ITM_AUTH,ITM_AUTHTYPE,ITM_AUTHSHAPE,ITM_LEVEL,ITM_STT,ITM_ICON
		)values('290000','线路过重日报','xlgzz/reportManageXlgzz.html?timeType=00&reportType=XLGZZRB','1','0','0','1','2','0','#xe68e;');
		insert into im_item (ITM_ID,ITM_NAME,ITM_URL,ITM_SERIALNO,ITM_AUTH,ITM_AUTHTYPE,ITM_AUTHSHAPE,ITM_LEVEL,ITM_STT,ITM_ICON
		)values('290001','线路过重周报','pbgzz/reportManageXlgzz.html?timeType=01&reportType=XLGZZZB','2','0','0','1','2','0','#xe68e;');
		-- 菜单与功能对应关系表  
		insert into im_menu_item_rel values('M20006','260002');

		insert into im_menu_item_rel values('M20009','290000');
		insert into im_menu_item_rel values('M20009','290001');
		-- 内管柜员单点登录控制表 
		insert into im_role_item_rel values('00000000','260002','','1','1');

		insert into im_role_item_rel values('00000000','290000','','1','1');
		insert into im_role_item_rel values('00000000','290001','','1','1');

		-- 新增原始文件类型
		insert into dw_branch_file_type values('1000008','10000000','客户明细');
		insert into dw_branch_file_type values('1000009','10000000','配变过重载');
		insert into dw_branch_file_type values('1000010','10000000','线路过重载');
		-- 新增报告类型
		insert into dw_branch_report_type values('XLGZZRB','88888888','线路过重载日报','00','00');
		insert into dw_branch_report_type values('XLGZZZB','88888888','线路过重载周报','00','01');
		-- 报告类型与原始文件类型关系表,报告由哪几种文件类型的文件生成
		insert into dw_reporttype_filetype_rel values('XLGZZRB','1000010')

		-- 线路
		CREATE TABLE IF NOT EXISTS DW_FILE_DETAIL_10(
		   DFD10_ID VARCHAR(40)   COMMENT '主键ID',
			 DFD10_SEQU INT COMMENT  '序号',
		   DFD10_MONTH INT   COMMENT  '月份',
		   DFD10_XGSMC VARCHAR(50)   COMMENT  '所属县公司',
		   DFD10_BZMC VARCHAR(50)   COMMENT  '班组名称',
			 DFD10_BDZMC VARCHAR(50)   COMMENT  '变电站名称',
			 DFD10_XLMC VARCHAR(50)   COMMENT  '线路名称',
			 DFD10_EDDL FLOAT   COMMENT  '额定电流(A)',
			 DFD10_FZL FLOAT   COMMENT  '负载率(%)',
			 DFD10_GZZYY VARCHAR(100)   COMMENT  '过(重)载原因分类',
			 DFD10_GZZJTYY VARCHAR(500)   COMMENT  '具体原因（详细说明原因情况）',
			 DFD10_JJCSFL VARCHAR(100)   COMMENT  '解决措施分类',
			 DFD10_JTJJCS VARCHAR(500)    COMMENT  '具体解决措施（详细说明解决措施）',
			 DFD10_WCSJ DATE   COMMENT  '完成时间',
			 DFD10_GZSC FLOAT   COMMENT  '过载时长(小时)',
			 DFD10_YXDL FLOAT   COMMENT  '运行电流(A)',
			 DFD10_FSSK DATETIME   COMMENT  '发生时刻',
			 DFD10_ZDDL FLOAT   COMMENT  '最大电流(A)',
			 DFD10_ZDZFSSK DATETIME   COMMENT  '最大值发生时刻',
			 DFD10_PBSL INT   COMMENT  '配变数量(台)',
			 DFD10_PBRL INT   COMMENT  '配变容量(KVA)',
			 DFD10_SFZDH VARCHAR(10)   COMMENT  '是否自动化',
			 DFD10_PMSID VARCHAR(80)   COMMENT  'PMSID',
			 DFD10_FILE_ID VARCHAR(20)   COMMENT  '所属文件ID',
			 DFD10_STATE VARCHAR(20)   COMMENT  '0正常1删除',
		   PRIMARY KEY (`DFD10_ID`)
		)ENGINE=INNODB DEFAULT CHARSET=UTF8 COMMENT='线路过重载';
		-- 配变
		CREATE TABLE IF NOT EXISTS DW_FILE_DETAIL_09(
		   DFD9_ID VARCHAR(40)   COMMENT '主键ID',
			 DFD9_SEQU INT COMMENT  '序号',
		   DFD9_MONTH INT   COMMENT  '月份',
		   DFD9_UNIT VARCHAR(50)   COMMENT  '单位',
		   DFD9_BZMC VARCHAR(50)   COMMENT  '班组名称',
			 DFD9_XLMC VARCHAR(50)   COMMENT  '线路名称',
			 DFD9_GBMC VARCHAR(50)   COMMENT  '公变名称',
			 DFD9_FZL FLOAT   COMMENT  '负载率(%)',
			 DFD9_ZDFZL FLOAT   COMMENT  '最大负载率(%)',
			 DFD9_ZDFZLFSSK VARCHAR(40)   COMMENT  '最大负载率发生时刻时间',
			 DFD9_EDRL FLOAT   COMMENT  '额定容量(KVA)',
			 DFD9_GZZYYFL VARCHAR(100)   COMMENT  '过(重)载原因分类',
			 DFD9_JTYY VARCHAR(500)   COMMENT  '具体原因（详细说明原因情况）',
			 DFD9_JJCSFL VARCHAR(100)   COMMENT  '解决措施分类',
			 DFD9_JTJJCS VARCHAR(500)    COMMENT  '具体解决措施（详细说明解决措施）',
			 DFD9_WCSJ DATE   COMMENT  '完成时间',
			 DFD9_SXBPHL FLOAT   COMMENT  '三相不平衡率(%)(最大负荷)',
			 DFD9_AXDL FLOAT   COMMENT  'A相电流(A)',
			 DFD9_BXDL FLOAT   COMMENT  'B相电流(A)',
			 DFD9_CXDL FLOAT   COMMENT  'C相电流(A)',
			 DFD9_GZSC FLOAT   COMMENT  '过载时长(小时)',
			 DFD9_YHSL INT   COMMENT  '用户数量',
			 DFD9_ZZSC FLOAT   COMMENT  '重载时长',
			 DFD9_YXID VARCHAR(40)    COMMENT  '营销ID',
			 DFD9_PMSID VARCHAR(80)   COMMENT  'PMSID',
			 DFD9_FILE_ID VARCHAR(20)   COMMENT  '所属文件ID',
			 DFD9_STATE VARCHAR(20)   COMMENT  '0正常1删除',
		   PRIMARY KEY (`DFD9_ID`)
		)ENGINE=INNODB DEFAULT CHARSET=UTF8 COMMENT='配变重过载';

		-- 客户信息
		CREATE TABLE IF NOT EXISTS DW_FILE_DETAIL_08 (
		   DFD8_KHID VARCHAR(40) COMMENT  '客户ID',
			 DFD8_SEQU INT COMMENT  '序号',
		   DFD8_KHXM VARCHAR(20) COMMENT  '客户姓名',
		   DFD8_KHSEX VARCHAR(10) COMMENT  '性别',
		   DFD8_KHAGE VARCHAR(10)  COMMENT  '年龄',
			 DFD8_KHLXDH VARCHAR(10)  COMMENT  '联系电话',
			 DFD8_FILE_ID VARCHAR(20) COMMENT  '所属文件ID',
			 DFD8_STATE VARCHAR(20) COMMENT  '0正常1删除',
		   PRIMARY KEY ( `DFD8_KHID` )
		)ENGINE=INNODB DEFAULT CHARSET=UTF8;
		-- 报告所属班组表
		insert into dw_branch_report_type values('XLGZZBB','88888888','线路过重载日报','','00')

		-- 增加序列
		INSERT INTO sequence VALUES ('FILE_DETAIL_09_NO', '100000000', '1','100000000','999999999','配变重过载主键');
		 
		-- 95595工单添加字段
		ALTER TABLE `dw_file_detail_05` ADD `DFD5_GDS` varchar(100) DEFAULT '' COMMENT '供电所';
		ALTER TABLE `dw_file_detail_05` ADD `DFD5_BZ` varchar(100) DEFAULT '' COMMENT '班组';
